#include<iostream>

using namespace std;

main()
{
	char c[1];
	long long a,b,i;
	cin>>c;
	cin>>a;
	cin>>b;
	if(((a-b)<2)&&((b-a)<2))
	{
		while((a>0)&&(b>0))
		{
			cout<<c[0];
			a--;
			cout<<c[1];
			b--;
		}
	}
	else
	{
		cout<<"nemoguce";
	}
}